{{ if .Values.ingress.nginx }}
# Use NGINX
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: ing-{{ template "ska-skadc-backend.name" . }}-{{ .Release.Name }}
  namespace: {{ .Release.Namespace }}
  annotations:
      kubernetes.io/ingress.class: nginx
    {{- range $key, $value := .Values.ingress.annotations }}
      {{ $key }}: {{ $value | quote }}
    {{- end }}
spec:
  rules:
    - http:
        paths:
        - path: {{ if .Values.basename }}/{{ .Release.Namespace }}{{ end }}/task
          pathType: Prefix
          backend:
           service:
            name: {{ template "ska-skadc-backend.name" . }}
            port:
              number: 8000

{{ else }}
# use Traefik
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: ing-{{ template "ska-skadc-backend.name" . }}-{{ .Release.Name }}
  namespace: {{ .Release.Namespace }}
  annotations:
      kubernetes.io/ingress.class: traefik
spec:
  rules:
    - http:
        paths:
        - path: {{ if .Values.basename }}/{{ .Release.Namespace }}{{ end }}/task
          pathType: Prefix
          backend:
           service:
            name: {{ template "ska-skadc-backend.name" . }}
            port:
              number: 8000


{{ end }}
